std::modulus(3)

NAME
std::modulus -

SYNOPSIS

Inherits binary_function< _Tp, _Tp, _Tp >.

Detailed Description

  template<class _Tp> struct std::modulus< _Tp >

Definition at line 170 of file stl_function.h.

  Public Types
typedef _Tp first_argument_type
typedef _Tp result_type
typedef _Tp second_argument_type

  Public Member Functions
_Tp operator() (const _Tp &__x, const _Tp &__y) const

Member Typedef Documentation

  typedef _Tp first_argument_type [inherited]

the type of the first argument

Definition at line 116 of file stl_function.h.

  typedef _Tp result_type [inherited]

type of the return type

Definition at line 120 of file stl_function.h.

  typedef _Tp second_argument_type [inherited]

(no surprises here) the type of the second argument

Definition at line 119 of file stl_function.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.